# IdentityMapper

Implements \FileNameMapper

This mapper does nothing ;)

author | Andreas Aderhold andi@binarycloud.com
author | Hans Lellelid hans@xmpl.org
version | $Id: 1ef1328ec43b2129c3ddb503e6a58d2c8c31c660 $
package | phing.mappers

### Methods

## The mapper implementation. Basically does nothing in this case.

    main(string $sourceFileName) : array

### Arguments

#### $sourceFileName

`string`

The data the mapper works on.

### Response

`array`

The data after the mapper has been applied

## Ignored here.

    setFrom( $from) : void

### Arguments

#### $from

``

## Ignored here.

    setTo( $to) : void

### Arguments

#### $to

``